#
# spec file for package kicad-unstable-doc
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# Stock distribution package for xetex has a bug. As there is no way to just
# build languages which use pdftex, disable PDF documentation completely
%if 0%{?suse_version} > 1500
%bcond_without pdf
%else
%bcond_with pdf
%endif

Name:           kicad-unstable-doc
Version:        5.0~20181022
Release:        2.3
Summary:        Documentation and tutorials for KiCad
License:        GPL-3.0-or-later AND CC-BY-SA-3.0
Group:          Documentation/Other
Url:            http://kicad-pcb.org
Source:         %{name}-%{version}.tar.xz
Patch0:         verbose-a2x-debug.patch
# PATCH-FIX-OPENSUSE kicad-doc-notimestamp.patch davejplater@gmail.com -- Remove time stamped footer from html pages.
Patch1:         kicad-doc-notimestamp.patch
BuildRequires:  asciidoc >= 8.6.9
BuildRequires:  cmake
BuildRequires:  dblatex >= 0.3.4
BuildRequires:  fdupes
BuildRequires:  gettext >= 0.18
BuildRequires:  libxslt-tools
BuildRequires:  po4a >= 0.45
BuildRequires:  source-highlight
BuildRequires:  perl(Unicode::LineBreak)
%if %{with pdf}
BuildRequires:  texlive-babel-catalan
BuildRequires:  texlive-babel-dutch
BuildRequires:  texlive-babel-french
BuildRequires:  texlive-babel-german
BuildRequires:  texlive-babel-italian
BuildRequires:  texlive-babel-polish
BuildRequires:  texlive-babel-russian
BuildRequires:  texlive-babel-spanish
BuildRequires:  texlive-fandol
BuildRequires:  texlive-gnu-freefont
BuildRequires:  texlive-xetex
BuildRequires:  vlgothic-fonts
BuildRequires:  tex(8r.enc)
BuildRequires:  tex(bahasa.ldf)
BuildRequires:  tex(cmap.sty)
BuildRequires:  tex(eu1enc.def)
BuildRequires:  tex(fancybox.sty)
BuildRequires:  tex(japanese.ldf)
BuildRequires:  tex(mathptmx.sty)
BuildRequires:  tex(mathrsfs.sty)
BuildRequires:  tex(pcrr8t.tfm)
BuildRequires:  tex(phvb8t.tfm)
BuildRequires:  tex(psyr.tfm)
BuildRequires:  tex(ptmr8t.tfm)
BuildRequires:  tex(pzdr.tfm)
BuildRequires:  tex(xeCJK.sty)
BuildRequires:  tex(xltxtra.sty)
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       kicad-unstable
Conflicts:      kicad-doc

%description
Kicad is an open source software for the creation of electronic
schematic diagrams and printed circuit board artwork.
This is the documentation package for KiCad. It contains documentation
and tutorials.

%package        common
Summary:        Common files for documentation packages
Group:          Documentation/Other
Conflicts:      kicad-unstable-doc-common

%description    common
This package contains common files required for the individual translations

%package        ca
Summary:        Catalan documentation and tutorials for KiCad
Group:          Documentation/Other
Provides:       locale(kicad-unstable-doc:ca)
Requires:       kicad-unstable-doc-common = %{version}
Requires:       kicad-unstable-doc-en = %{version}

%description    ca
This package contains Catalan documentation and tutorials for KiCad

%package        de
Summary:        German documentation and tutorials for KiCad
Group:          Documentation/Other
Provides:       locale(kicad-unstable-doc:de)
Requires:       kicad-unstable-doc-common = %{version}
Requires:       kicad-unstable-doc-en = %{version}

%description    de
This package contains German documentation and tutorials for KiCad

%package        en
Summary:        English documentation and tutorials for KiCad
Group:          Documentation/Other
Provides:       locale(kicad-unstable-doc:en)
Requires:       kicad-unstable-doc-common = %{version}

%description    en
This package contains English documentation and tutorials for KiCad

%package        es
Summary:        Spanish documentation and tutorials for KiCad
Group:          Documentation/Other
Provides:       locale(kicad-unstable-doc:es)
Requires:       kicad-unstable-doc-common = %{version}
Requires:       kicad-unstable-doc-en = %{version}

%description    es
This package contains Spanish documentation and tutorials for KiCad

%package        fr
Summary:        French documentation and tutorials for KiCad
Group:          Documentation/Other
Provides:       locale(kicad-unstable-doc:fr)
Requires:       kicad-unstable-doc-common = %{version}
Requires:       kicad-unstable-doc-en = %{version}

%description    fr
This package contains French documentation and tutorials for KiCad

%package        it
Summary:        Italian documentation and tutorials for KiCad
Group:          Documentation/Other
Provides:       locale(kicad-unstable-doc:it)
Requires:       kicad-unstable-doc-common = %{version}
Requires:       kicad-unstable-doc-en = %{version}

%description    it
This package contains Italian documentation and tutorials for KiCad

%package        ja
Summary:        Japanese documentation and tutorials for KiCad
Group:          Documentation/Other
Provides:       locale(kicad-unstable-doc:ja)
Requires:       kicad-unstable-doc-common = %{version}
Requires:       kicad-unstable-doc-en = %{version}

%description    ja
This package contains Japanese documentation and tutorials for KiCad

%package        nl
Summary:        Netherlandian documentation and tutorials for KiCad
Group:          Documentation/Other
Provides:       locale(kicad-unstable-doc:nl)
Requires:       kicad-unstable-doc-common = %{version}
Requires:       kicad-unstable-doc-en = %{version}

%description    nl
This package contains Netherlandian documentation and tutorials for KiCad

%package        pl
Summary:        Polish documentation and tutorials for KiCad
Group:          Documentation/Other
Provides:       locale(kicad-unstable-doc:pl)
Requires:       kicad-unstable-doc-common = %{version}
Requires:       kicad-unstable-doc-en = %{version}

%description    pl
This package contains Polish documentation and tutorials for KiCad

%package        ru
Summary:        Russian documentation and tutorials for KiCad
Group:          Documentation/Other
Provides:       locale(kicad-unstable-doc:ru)
Requires:       kicad-unstable-doc-common = %{version}
Requires:       kicad-unstable-doc-en = %{version}

%description    ru
This package contains Russian documentation and tutorials for KiCad

%package        id
Summary:        Indonesian documentation and tutorials for KiCad
Group:          Documentation/Other
Provides:       locale(kicad-doc:id)
Requires:       kicad-doc = %{version}
Requires:       kicad-doc-en = %{version}

%description    id
This package contains Indonesian documentation and tutorials for KiCad

%package        zh
Summary:        Chinese documentation and tutorials for KiCad
Group:          Documentation/Other
Provides:       locale(kicad-doc:zh)
Requires:       kicad-doc = %{version}
Requires:       kicad-doc-en = %{version}

%description    zh
This package contains Chinese documentation and tutorials for KiCad

%prep
%setup -q

%patch0
%patch1

# Workaround for dblatex bug #117 - randomly selected warning symbol
cp /usr/share/dblatex/latex/graphics/warning.pdf CMakeSupport/

%build
# SOURCE_DATE_EPOCH affirmation variable used by TeX, current
export FORCE_SOURCE_DATE=1
# Deprecated variant used by TeX in Leap 42.x
export SOURCE_DATE_EPOCH_TEX_PRIMITIVES=1
# Supported output formats: html;pdf;epub;
%if %{with pdf}
%cmake -DKICAD_DOC_PATH=%{_docdir}/kicad/help -DBUILD_FORMATS='html;pdf;'
%else
%cmake -DKICAD_DOC_PATH=%{_docdir}/kicad/help -DBUILD_FORMATS='html;'
%endif
%{make_jobs}

%install
%cmake_install

for lang in ca de en es fr id it ja nl pl ru zh ; do
    %fdupes %{buildroot}%{_docdir}/kicad/help/$lang
done

%files common
%dir %{_docdir}/kicad/
%dir %{_docdir}/kicad/help/
%doc AUTHORS_README.adoc CHEATSHEET.adoc README.adoc
%license LICENSE.adoc

%files ca
%{_docdir}/kicad/help/ca/

%files de
%{_docdir}/kicad/help/de/

%files en
%{_docdir}/kicad/help/en/

%files es
%{_docdir}/kicad/help/es/

%files fr
%{_docdir}/kicad/help/fr/

%files it
%{_docdir}/kicad/help/it/

%files ja
%{_docdir}/kicad/help/ja/

%files nl
%{_docdir}/kicad/help/nl/

%files pl
%{_docdir}/kicad/help/pl/

%files ru
%{_docdir}/kicad/help/ru/

%files id
%{_docdir}/kicad/help/id/

%files zh
%{_docdir}/kicad/help/zh/

%changelog
* Tue Oct  9 2018 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Incorporate changes from 5.0.0 release package
- Update to current git
* Sat Sep 29 2018 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Require kicad-doc-en from other translation subpackages
  to provide a fallback for incomplete translations.
* Sat May  5 2018 stefan.bruens@rwth-aachen.de
- Drop patches integrated upstream:
  * 0001-Split-custom_target-into-custom_target-and-custom_co.patch
  * 0002-Remove-intermediate-targets-and-use-file-dependencie.patch
- Add workaround for dblatex bug#117, another reproducible-build problem
* Fri May  4 2018 stefan.bruens@rwth-aachen.de
- Set FORCE_SOURCE_DATE/SOURCE_DATE_EPOCH_TEX_PRIMITIVES=1 for
  reproducible dates in PDFs created with TeX
* Fri May  4 2018 stefan.bruens@rwth-aachen.de
- Do not build ja and ru subpackages on Leap 42.x, texlive-xetex is
  does not work properly with 4-bit PNGs.
* Sat Apr 28 2018 stefan.bruens@rwth-aachen.de
- Update to ~ 5.0~rc1
- use %%license for documentation license
- use %%_docdir instead of %%_datadir/doc/packages
- Add patches from stable documentation package:
  kicad-doc-notimestamp.patch, verbose-a2x-debug.patch
- Add ca, de, es, ru subpackages
- cleanup TeX BuildRequires, reduce to actually required packages
- Use fdupes to deduplicate images
- Fix rebuilding everything during make install
  * Add 0001-Split-custom_target-into-custom_target-and-custom_co.patch
  * Add 0002-Remove-intermediate-targets-and-use-file-dependencie.patch
* Mon Mar 21 2016 dmitry_r@opensuse.org
- Update to version 4.0.2
* Wed Dec  2 2015 dmitry_r@opensuse.org
- Update to version 4.0.0
* Fri Sep 25 2015 dmitry_r@opensuse.org
- Update to version 4.0.0~20150925
* Wed Jul 31 2013 dmitry_r@opensuse.org
- Update to version 20130728
* Tue Apr  9 2013 werner.ho@gmx.de
- update to version 20130409
* Fri Jan 25 2013 dmitry_r@opensuse.org
- Update to version 20130120
- Change license to SUSE-OldFSFDocLicense [bnc#796377]
* Fri Dec 28 2012 dmitry_r@opensuse.org
- spec file cleanup
* Fri May 27 2011 werner.ho@gmx.de
- new version 2011-04-29
* Tue Apr 13 2010 mhopf@novell.com
- Update to 2010-04-06-SVN2508
* Tue Dec 16 2008 werner.ho@gmx.de
- directory fix for openSUSE 11.1
* Sat Oct  4 2008 werner.ho@gmx.de
- new version 1.1
* Tue Mar 25 2008 werner.ho@gmx.de
- initial build of the kicad documentation package version 1.0
